This page explains the request and response formats of ‘personalized-recommendation’ endpoint of Frenzy Search. It also provide examples to help you understand better.
Personalized Recommendations are based on the User Activity. API uses most recent events like recommendations, search, add to cart, add to wishlist, etc for each user to find the products that match the User’s Interests.
NOTE: To use personalized recommendations make sure that ‘user_id’ is being sent to the Search (’/’) and the Recommendations (‘/recommendation’) endpoint. This allows the API to track user-specific events.
GEThttps://xyz.search.frenzy.ai/personalized-recommendationGet top N products relevant to the user activity.
To get all product attributes along with product-ids, set the full_description parameter to true.
curl --location --request GET 'https://xyz.search.frenzy.ai/personalized-recommendation?user_id=1002&num_matching=15&full_description=true' \--header 'X-Frenzy-Authorization: API_KEY'
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Frenzy AI Personalization","description":"Guides to install, implement, and customize Frenzy AI components and APIs.","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa","dark":"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa"},"favicon":"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa","navbar":{"links":[{"href":"/support","label":"Support"}],"primary":{"type":"button","label":"Frenzy Dashboard","href":"https://shopify.dashboard.frenzy.me/admin/login"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"interaction":{"drilldown":true},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"frenzy-ai","hasAudioNarration":false,"actualSubdomain":"frenzy-ai","customDomains":["docs.frenzy.ai"],"gitSource":{"type":"github","owner":"mintlify-community","repo":"docs-frenzy-ai-9f9599c4","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"latestBuiltDeploymentHistoryId":"6ad53b4b17d4d937a14394c7","collectionId":"b75e7deb-ae05-4d2f-869d-3137a6fb69fb","liveDeploymentHistoryId":"6ad53b4b17d4d937a14394c7","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ad53b4b17d4d937a14394c7","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Shopify App","count":58},{"language":"default","tag":"Tutorials","count":34},{"language":"default","tag":"Search \u0026 Collection Page Merchandising","count":18},{"language":"default","tag":"API Functions","count":15},{"language":"default","tag":"Recommendation Carousels","count":10},{"language":"default","tag":"Carousels","count":8},{"language":"default","tag":"Configuring Product Card","count":8},{"language":"default","tag":"Search \u0026 Collections","count":7},{"language":"default","tag":"Filters","count":6},{"language":"default","tag":"Recommendation Widgets","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-functions/carousels/personalized-recommendation-deprecated","slug":"/api-functions/carousels/personalized-recommendation-deprecated","pageMetadata":{"title":"/personalized-recommendation (Deprecated)","description":"This page explains the request and response formats of 'personalized-recommendation' endpoint of Frenzy Search. It also provide examples to help you understand better.","href":"/api-functions/carousels/personalized-recommendation-deprecated"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This page explains the request and response formats of ‘personalized-recommendation’ endpoint of Frenzy Search. It also provide examples to help you understand better.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,blockquote:`blockquote`,code:`code`,li:`li`,ol:`ol`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Tab,Table,Tabs,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Tab)_missingMdxReference(`Tab`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Tabs)_missingMdxReference(`Tabs`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Personalized Recommendations are based on the User Activity. API uses most recent events like recommendations, search, add to cart, add to wishlist, etc for each user to find the products that match the User’s Interests.`}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`NOTE: To use personalized recommendations make sure that ‘user_id’ is being sent to the Search (’/’) and the Recommendations (‘/recommendation’) endpoint. This allows the API to track user-specific events.`})}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`GET`}),` `,_jsx(_components.code,{children:`https://xyz.search.frenzy.ai/personalized-recommendation`})]}),`\n`,_jsx(_components.p,{children:`Get top N products relevant to the user activity.`}),`\n`,_jsx(Heading,{level:`4`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`user_id*`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`User Id associated with the request`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`num_matching*`}),_jsx(_components.td,{children:`integer`}),_jsx(_components.td,{children:`Required number of matching products`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`full_description`}),_jsx(_components.td,{children:`boolean`}),_jsxs(_components.td,{children:[`To get all products with their attributes set it to `,_jsx(_components.code,{children:`true`}),`. (Default `,_jsx(_components.code,{children:`false`}),`)`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`shop`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`name of the Shopify Store. (required for shopify stores)`})]})]})]}),`\n`,_jsx(Heading,{level:`4`,id:`headers`,children:`Headers`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Name`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`X-Frenzy_Authorization*`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`API key provided at the time of account creation.`})]})})]}),`\n`,_jsx(Tabs,{children:_jsx(Tab,{title:`200: OK Top N matching products for the given user-id are successfully retrieved.`,id:`200%3A-ok-top-n-matching-products-for-the-given-user-id-are-successfully-retrieved`,\"data-child-tab-ids\":`[\"success\",\"success-full_description%3Dtrue\",\"failure\"]`,children:_jsxs(Tabs,{children:[_jsx(Tab,{title:`Success`,id:`success`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`11`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{ // list of matching products`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"matching_products\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"PSS-001-00001\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"PSS-002-00002\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ....`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"PSS-010-00015\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsx(Tab,{title:`Success(full_description=true)`,id:`success-full_description%3Dtrue`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`40`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`40`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`{`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"matching_products\": [`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` // description for product 1`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'brand' : \" \",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'category' : \" \",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ..`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'sku' : \"PSS-001-00001\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` // description for product 2 `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'brand' : \" \",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'category' : \" \",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ..`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'sku' : \"PSS-002-00002\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ....`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ..`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` // description for product N`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'brand' : \" \",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'category' : \" \",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ...`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ..`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` 'sku' : \"PSS-010-00015\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})}),_jsx(Tab,{title:`Failure`,id:`failure`,children:_jsx(_components.p,{children:`{‘error’: ‘server_error’}`})})]})})}),`\n`,_jsxs(_components.blockquote,{children:[`\n`,_jsx(_components.p,{children:`NOTE: For Shopify Customers`}),`\n`,_jsxs(_components.ol,{children:[`\n`,_jsx(_components.li,{children:`num_matching = is set in the portal`}),`\n`]}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`response-object`,children:`Response Object`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Key`}),_jsx(_components.th,{children:`Type`}),_jsx(_components.th,{children:`Value`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`matching_products`}),_jsx(_components.td,{children:`array`}),_jsx(_components.td,{children:_jsx(_components.a,{href:`/api-functions/product-data`,children:`Top N matching products`})})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:`request_id`}),_jsx(_components.td,{children:`string`}),_jsx(_components.td,{children:`Id to track the request`})]})]})]}),`\n`,_jsx(Heading,{level:`3`,id:`example-request`,children:`Example Request`}),`\n`,_jsx(_components.p,{children:`By default, the request will return only the list of matching product-ids.`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl --location --request GET 'https://xyz.search.frenzy.ai/personalized-recommendation?user_id=1002\u0026num_matching=15' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`--header 'X-Frenzy-Authorization: API_KEY'`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsxs(Heading,{level:`3`,id:`example-request-full_description-=-true`,children:[`Example Request (full_description = `,_jsx(_components.code,{children:`true`}),`)`]}),`\n`,_jsxs(_components.p,{children:[`To get all product attributes along with product-ids, set the full_description parameter to `,_jsx(_components.code,{children:`true`}),`.`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl --location --request GET 'https://xyz.search.frenzy.ai/personalized-recommendation?user_id=1002\u0026num_matching=15\u0026full_description=true' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`--header 'X-Frenzy-Authorization: API_KEY'`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"/personalized-recommendation (Deprecated)","description":"This page explains the request and response formats of 'personalized-recommendation' endpoint of Frenzy Search. It also provide examples to help you understand better.","href":"/api-functions/carousels/personalized-recommendation-deprecated"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Query Parameters","slug":"query-parameters","depth":4,"children":[]},{"title":"Headers","slug":"headers","depth":4,"children":[]},{"title":"Response Object","slug":"response-object","depth":3,"children":[]},{"title":"Example Request","slug":"example-request","depth":3,"children":[]},{"title":"Example Request (full_description = true)","slug":"example-request-full_description-=-true","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"frenzy-ai","siteName":"Frenzy AI Personalization","title":"/personalized-recommendation (Deprecated) - Frenzy AI Personalization","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-31T19:46:55.580Z","originalFileLocation":"api-functions/carousels/personalized-recommendation-deprecated.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This page explains the request and response formats of \u0026#x27;personalized-recommendation\u0026#x27; endpoint of Frenzy Search. It also provide examples to help you understand better.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Frenzy AI Personalization\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026amp;token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026amp;token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026amp;token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/png\" href=\"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026amp;token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa\">\u003cmeta data-mint-head property=\"og:title\" content=\"/personalized-recommendation (Deprecated) - Frenzy AI Personalization\">\u003cmeta data-mint-head property=\"og:description\" content=\"This page explains the request and response formats of \u0026#x27;personalized-recommendation\u0026#x27; endpoint of Frenzy Search. It also provide examples to help you understand better.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Frenzy AI Personalization\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://frenzy-ai.mintlify.site/_mintlify/api/og/v2?division=Carousels\u0026amp;title=%2Fpersonalized-recommendation+%28Deprecated%29\u0026amp;description=This+page+explains+the+request+and+response+formats+of+%27personalized-recommendation%27+endpoint+of+Frenzy+Search.+It+also+provide+examples+to+help+you+understand+\u0026amp;theme=bc849c2e4c56fd86213780cf\u0026amp;signature=026f2e1b68dcdd669fffe1b492b6c929c0b2924432c8d26f73231981aa13580b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"/personalized-recommendation (Deprecated) - Frenzy AI Personalization\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This page explains the request and response formats of \u0026#x27;personalized-recommendation\u0026#x27; endpoint of Frenzy Search. It also provide examples to help you understand better.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://frenzy-ai.mintlify.site/_mintlify/api/og/v2?division=Carousels\u0026amp;title=%2Fpersonalized-recommendation+%28Deprecated%29\u0026amp;description=This+page+explains+the+request+and+response+formats+of+%27personalized-recommendation%27+endpoint+of+Frenzy+Search.+It+also+provide+examples+to+help+you+understand+\u0026amp;theme=bc849c2e4c56fd86213780cf\u0026amp;signature=026f2e1b68dcdd669fffe1b492b6c929c0b2924432c8d26f73231981aa13580b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"https://mintlify.s3.us-west-1.amazonaws.com/frenzy-ai/_generated/favicon/browserconfig.xml?v=3\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Frenzy AI Personalization\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-functions/carousels/personalized-recommendation-deprecated.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.frenzy.ai/#organization\",\"name\":\"Frenzy AI Personalization\",\"url\":\"https://docs.frenzy.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://firebasestorage.googleapis.com/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MCJBp9cjGU5wgbedcI-%2Ficon%2Fpfpm4slGHjiW5IM8ZBdj%2Ffrenzylogo.png?alt=media\u0026token=bc7a6571-08b9-431f-bf0f-107c52e2f6aa\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.frenzy.ai#website\",\"name\":\"Frenzy AI Personalization\",\"url\":\"https://docs.frenzy.ai\",\"publisher\":{\"@id\":\"https://docs.frenzy.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated#webpage\",\"url\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated\",\"name\":\"/personalized-recommendation (Deprecated)\",\"description\":\"This page explains the request and response formats of 'personalized-recommendation' endpoint of Frenzy Search. It also provide examples to help you understand better.\",\"dateModified\":\"2026-07-31T19:46:55.580Z\",\"isPartOf\":{\"@id\":\"https://docs.frenzy.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Functions\",\"item\":\"https://docs.frenzy.ai/api-functions/search/search-api-call\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Carousels\",\"item\":\"https://docs.frenzy.ai/api-functions/carousels/index\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"/personalized-recommendation (Deprecated)\",\"item\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated#article\",\"headline\":\"/personalized-recommendation (Deprecated)\",\"name\":\"/personalized-recommendation (Deprecated)\",\"description\":\"This page explains the request and response formats of 'personalized-recommendation' endpoint of Frenzy Search. It also provide examples to help you understand better.\",\"url\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated\",\"mainEntityOfPage\":{\"@id\":\"https://docs.frenzy.ai/api-functions/carousels/personalized-recommendation-deprecated#webpage\"},\"dateModified\":\"2026-07-31T19:46:55.580Z\",\"publisher\":{\"@id\":\"https://docs.frenzy.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.frenzy.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Frenzy AI Personalization\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Frenzy AI Personalization","nav":{"global":null,"pages":[{"title":"Welcome to the Frenzy docs","sidebarTitle":"Welcome to the Frenzy docs","href":"/index"},{"group":"Shopify App","pages":[{"title":"Product Feed Sync","href":"/shopify-app/product-feed-sync"},{"title":"Install Components","href":"/shopify-app/install-components"},{"group":"Configuring Product Card","pages":[{"title":"Configuring Product Card","sidebarTitle":"Configuring Product Card","href":"/shopify-app/configuring-product-card/index"},{"title":"Custom Data","href":"/shopify-app/configuring-product-card/custom-data"},{"title":"Reviews","href":"/shopify-app/configuring-product-card/reviews"},{"title":"Wishlist Icons","href":"/shopify-app/configuring-product-card/wishlist-icons"},{"title":"Quick Views","href":"/shopify-app/configuring-product-card/quick-views"},{"title":"Swatches","href":"/shopify-app/configuring-product-card/swatches"},{"title":"Testing Product Cards","href":"/shopify-app/configuring-product-card/testing-product-cards"},{"title":"Using API responses","href":"/using-api-responses"}]},{"group":"Search \u0026 Collections","pages":[{"title":"Search \u0026 Collections","sidebarTitle":"Search \u0026 Collections","href":"/shopify-app/search-and-collections/index"},{"group":"Merchandising","pages":[{"title":"Merchandising","sidebarTitle":"Merchandising","href":"/shopify-app/search-and-collections/merchandising/index"},{"title":"Sorting","href":"/shopify-app/search-and-collections/merchandising/sorting"},{"title":"Rules","href":"/shopify-app/search-and-collections/merchandising/rules"}]},{"group":"Filters","pages":[{"title":"Filters","sidebarTitle":"Filters","href":"/shopify-app/search-and-collections/filters/index"},{"title":"Filter Trees","href":"/shopify-app/search-and-collections/filters/filter-trees"}]},{"title":"UI Settings","href":"/shopify-app/search-and-collections/ui-settings"}]},{"group":"Recommendation Widgets","pages":[{"title":"Recommendation Widgets","sidebarTitle":"Recommendation Widgets","href":"/shopify-app/recommendation-widgets/index"},{"title":"Widgets","href":"/shopify-app/recommendation-widgets/widgets"},{"title":"Data Sources","href":"/shopify-app/recommendation-widgets/data-sources"},{"group":"Email Recommendations","pages":[{"title":"Email Recommendations","sidebarTitle":"Email Recommendations","href":"/shopify-app/recommendation-widgets/email-recommendations/index"},{"title":"Frenzy AI \u003c-> Klaviyo User Identification","href":"/shopify-app/recommendation-widgets/email-recommendations/frenzy-ai-less-than-greater-than-klaviyo-user-identification"}]}]},{"title":"Synonyms","href":"/shopify-app/synonyms"},{"title":"Global CSS","href":"/shopify-app/global-css"},{"group":"Tutorials","pages":[{"group":"Search \u0026 Collection Page Merchandising","pages":[{"title":"Search \u0026 Collection Page Merchandising","sidebarTitle":"Search \u0026 Collection Page Merchandising","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/index"},{"title":"How to Bury Products Globally on all Collection Pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-bury-products-globally-on-all-collection-pages"},{"title":"How to Pin Products in Collection Group","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-pin-products-in-collection-group"},{"title":"How to Bury Sale Products Globally on all Collection Pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-bury-sale-products-globally-on-all-collection-pages"},{"title":"How to Sort a Collection Page based on Newly Published/Created Products","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-sort-a-collection-page-based-on-newly-published-created-products"},{"title":"How to Bury Sale Products Globally on all Search Pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-bury-sale-products-globally-on-all-search-pages"},{"title":"How to Hide Products on Search Pages Globally","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-hide-products-on-search-pages-globally"},{"title":"How to boost products (using tags) for a Search Query","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-boost-products-using-tags-for-a-search-query"},{"title":"How to turn on Personalization on Collection Groups","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-turn-on-personalization-on-collection-groups"},{"title":"How to show Shopify Merchandising on Collection Groups","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-show-shopify-merchandising-on-collection-groups"},{"title":"How to bury Out Of Stock Products in Collection Groups","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-bury-out-of-stock-products-in-collection-groups"},{"title":"How to turn on Personalization on All Search Result Pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-turn-on-personalization-on-all-search-result-pages"},{"title":"How to setup top 10 automated Bestsellers Collections","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-setup-top-10-automated-bestsellers-collections"},{"title":"How to Group Products using Tags on Collection Pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-group-products-using-tags-on-collection-pages"},{"title":"How to setup custom products groups on Collection Pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-setup-custom-products-groups-on-collection-pages"},{"title":"How to Group Products using Tags on Search Pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-group-products-using-tags-on-search-pages"},{"title":"How to set-up an A/B test on Search and Collection pages","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-set-up-an-a-b-test-on-search-and-collection-pages"},{"title":"How to add banners on collection page","href":"/shopify-app/tutorials/search-and-collection-page-merchandising/how-to-add-banners-on-collection-page"}]},{"group":"Recommendation Carousels","pages":[{"title":"Recommendation Carousels","sidebarTitle":"Recommendation Carousels","href":"/shopify-app/tutorials/recommendation-carousels/index"},{"title":"How to change the title of the Carousel","href":"/shopify-app/tutorials/recommendation-carousels/how-to-change-the-title-of-the-carousel"},{"title":"How to set up an A/B test on a recommendation carousel","href":"/shopify-app/tutorials/recommendation-carousels/how-to-set-up-an-a-b-test-on-a-recommendation-carousel"},{"title":"How to add a collection based homepage carousel","href":"/shopify-app/tutorials/recommendation-carousels/how-to-add-a-collection-based-homepage-carousel"},{"title":"How to add 'Selected for You' homepage carousel","href":"/shopify-app/tutorials/recommendation-carousels/how-to-add-selected-for-you-homepage-carousel"},{"title":"How to add 'Best Sellers' homepage carousel","href":"/shopify-app/tutorials/recommendation-carousels/how-to-add-best-sellers-homepage-carousel"},{"title":"How to Hide Products in Recommendation Carousels","href":"/shopify-app/tutorials/recommendation-carousels/how-to-hide-products-in-recommendation-carousels"},{"title":"How to create Manual Product Based Carousel","href":"/shopify-app/tutorials/recommendation-carousels/how-to-create-manual-product-based-carousel"},{"title":"How to create Manual Product Based Carousel PDP carousel","href":"/shopify-app/tutorials/recommendation-carousels/how-to-create-manual-product-based-carousel-pdp-carousel"},{"title":"How to identify Search/Carousel Config during A/B test?","href":"/shopify-app/tutorials/recommendation-carousels/how-to-identify-search-carousel-config-during-a-b-test"}]},{"group":"Filters","pages":[{"title":"Filters","sidebarTitle":"Filters","href":"/shopify-app/tutorials/filters/index"},{"title":"How to create filters from Product Tags","href":"/shopify-app/tutorials/filters/how-to-create-filters-from-product-tags"},{"title":"How to create filters from Product Metafields","href":"/shopify-app/tutorials/filters/how-to-create-filters-from-product-metafields"},{"title":"How to create filters from Color Variants","href":"/shopify-app/tutorials/filters/how-to-create-filters-from-color-variants"}]},{"title":"Synonyms","href":"/shopify-app/tutorials/synonyms"},{"title":"Swatches","href":"/shopify-app/tutorials/swatches"}]}]},{"group":"API Functions","pages":[{"group":"Search","pages":[{"title":"Search API Call","href":"/api-functions/search/search-api-call"},{"title":"Suggest API Call","href":"/api-functions/search/suggest-api-call"}]},{"group":"Carousels","pages":[{"title":"Carousels","sidebarTitle":"Carousels","href":"/api-functions/carousels/index"},{"title":"/pdp-recs","href":"/api-functions/carousels/recommendation"},{"title":"/landing-page-recs","href":"/api-functions/carousels/recommendation-1"},{"title":"/recommendation (Deprecated)","href":"/api-functions/carousels/recommendation-2"},{"title":"/pair-with (Deprecated)","description":"This page explains the request and response formats of 'pair-with' endpoint of Frenzy Search. It also provide examples to help you understand better.","href":"/api-functions/carousels/recommendation-3"},{"title":"/personalized-recommendation (Deprecated)","href":"/api-functions/carousels/personalized-recommendation-deprecated"},{"title":"/most-clicked-skus (Deprecated)","description":"Returns most clicked SKUs in the given time period","href":"/api-functions/carousels/recommendation-4"},{"title":"/add-cart","href":"/api-functions/carousels/recommendation-5"}]},{"group":"Sharing Event Data","pages":[{"title":"Sharing Event Data","sidebarTitle":"Sharing Event Data","href":"/api-functions/sharing-event-data/index"},{"title":"API Call","href":"/api-functions/sharing-event-data/api-call"},{"title":"Line Item Events","href":"/api-functions/sharing-event-data/line-item-events"},{"title":"Google Tag Manager","href":"/api-functions/sharing-event-data/google-tag-manager"}]},{"title":"product-data","href":"/api-functions/product-data"}]},{"title":"Support","href":"/support"}]},"basePath":"","title":"/personalized-recommendation (Deprecated) - Frenzy AI Personalization","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":[],"chunks":[]}